Last modified: 2013-12-13 22:24:07 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18561 - Include input field as parameter $1 in message "sf createcategory makesubcategory"
Include input field as parameter $1 in message "sf createcategory makesubcate...
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
SemanticForms (Other open bugs)
unspecified
All All
: Normal minor with 1 vote (vote)
: ---
Assigned To: Alex Ivanov
: easy
Depends on:
Blocks: 37246 messages
  Show dependency treegraph
 
Reported: 2009-04-23 07:53 UTC by Purodha Blissenbach
Modified: 2013-12-13 22:24 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2009-04-23 07:53:55 UTC
The message "sf createcategory makesubcategory" ends with a colon and is followed by an input field for a category name. It should preferrably allow the input to be included as a parameter such as $1, so as to not force languages having specific word orders to twist their sentences in a way that allows the name to be at the end of, or behind, the sentence.

Depending on the page layout, which I don't know, this may of course be a bit tricky.
Comment 1 Nemo 2013-11-19 12:36:21 UTC
Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.
Comment 2 Gerrit Notification Bot 2013-12-12 18:03:36 UTC
Change 101034 had a related patch set uploaded by MegaAlex:
Add the subcategory select field as $1 to message sf_createcategory_makesubcategory

https://gerrit.wikimedia.org/r/101034
Comment 3 Nemo 2013-12-13 19:20:46 UTC
As with bug 18560, I don't think this is necessary nor standard, but RTL folks can correct me.
I've now documented it https://translatewiki.net/w/i.php?oldid=5196990 and I doubt you wanted a dropdown (potentially very big) to be in the middle of the sentence; surely it can't be done just for one label out of three in the special page.
Comment 4 Gerrit Notification Bot 2013-12-13 22:24:07 UTC
Change 101034 abandoned by MegaAlex:
Add the subcategory select field as $1 to message sf_createcategory_makesubcategory

https://gerrit.wikimedia.org/r/101034

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links